%define	name	perl-XML-Parser
%define	module	XML-Parser
%define	version	2.31
%define	release	8mdk

Summary: 	A perl module for parsing XML documents
Name: 		%{name}
Version: 	2.34
Release: 	2mdk
License: 	GPL
Group: 		Development/Perl
Source: 	http://www.cpan.org/authors/id/C/CO/COOPERCL/%{module}-%{version}.tar.bz2
Source1:	http://uucode.com/xml/perl/enc.tar.bz2
Url: 		http://www.cpan.org
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Requires: 	perl, libexpat1_95
BuildRequires: 	libexpat-devel perl-devel perl-libwww-perl perl-HTML-Parser

%description
A perl module for parsing XML documents

Needed by eGrail

%prep
%setup -q -n %{module}-%{version} -a 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -m 644 enc/koi8-r.enc $RPM_BUILD_ROOT%{perl_vendorarch}/XML/Parser/Encodings

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/XML/Parser*
%{perl_vendorarch}/auto/XML/Parser*


%changelog
* Tue Apr  6 2004 Pixel <pixel@mandrakesoft.com> 2.34-2mdk
- rebuild

* Thu Aug 21 2003 Franois Pons <fpons@mandrakesoft.com> 2.34-1mdk
- 2.34.

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.31-8mdk
- rebuild for new perl
- drop Prefix tag
- drop Distribution tag
- don't use PREFIX
- use %%make macro
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.31-7mdk
- rebuild for new auto{prov,req}

* Mon Oct 28 2002 Pixel <pixel@mandrakesoft.com> 2.31-6mdk
- small cleanup

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 2.31-5mdk
- rebuild for perl thread-multi
- add BuildRequires on perl-libwww-perl and perl-HTML-Parser (for make test)

* Tue Jul 23 2002 Franois Pons <fpons@mandrakesoft.com> 2.31-4mdk
- added russian encoding from Oleg A. Paraschenko.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 2.31-3mdk
- oops, add XML/Parser.pm

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 2.31-2mdk
- rebuild for perl 5.8.0
- replace XML with XML/Parser in %%files

* Thu Apr 11 2002 Franois Pons <fpons@mandrakesoft.com> 2.31-1mdk
- 2.31.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 2.30-5mdk
- BuildRequires: perl-devel

* Tue Sep 11 2001 Pixel <pixel@mandrakesoft.com> 2.30-4mdk
- don't need expat, just need libexpat

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.30-3mdk
- Fixed distribution tag.
- Put the right directories.
- Description and Summary more explicit

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.30-2mdk
- Rebuild for the latest perl.
- Remove the Distribution and Vendor Tag.

* Mon Feb 19 2001  Daouda Lo <daouda@mandrakesoft.com> 2.30-1mdk
- release 
- use of extern expat module (thanx mad hansen )

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.29-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.29-1mdk
- Macroize package
